Get agent tags

Base URL
https://{kibana_url}
  • GET /api/fleet/agents/tags
  • GET /s/{space_id}/api/fleet/agents/tags
Auth

Get a list of all tags used across enrolled agents.

Required privileges

Privileges fleet-agents-read

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Query parameters

kuery string · min length: 0

A KQL query string to filter results

showInactive boolean · default: false

When true, include tags from inactive agents

Responses

Successful response

application/json
items string[] · max items: 10000 required
Base URL
https://{kibana_url}